package com.atguigu.ssyx.client.user;

import com.atguigu.ssyx.vo.user.LeaderAddressVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(value = "service-user", path = "/api/user/leader")
public interface UserFeignClient {
    // 提货点地址信息
    @GetMapping("/inner/getUserAddressByUserId/{userId}")
    LeaderAddressVo getLeaderAddressByUserId(@PathVariable Long userId);
}
