package com.atguigu.ssyx.activity.service.impl;

import com.atguigu.ssyx.activity.mapper.SeckillTimeMapper;
import com.atguigu.ssyx.activity.service.SeckillTimeService;
import com.atguigu.ssyx.model.activity.SeckillTime;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;


@Service
public class SeckillTimeServiceImpl extends ServiceImpl<SeckillTimeMapper, SeckillTime> implements SeckillTimeService {

    /**
     * * 更新状态
     *
     * @param id     当前Id
     * @param status 当前状态
     */
    @Override
    public void updateStatus(Long id, Integer status) {
        SeckillTime seckillTime = new SeckillTime();
        seckillTime.setStatus(status);
        seckillTime.setId(id);
        updateById(seckillTime);
    }
}
