package com.atguigu.ssyx.product.service;

import com.atguigu.ssyx.model.product.SkuAttrValue;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * spu属性值 服务类
 * </p>
 *
 * @author bunny
 * @since 2024-04-03
 */
public interface SkuAttrValueService extends IService<SkuAttrValue> {

    /**
     * 根据id查询商品属性信息列表
     *
     * @param id 商品id
     * @return 图片列表
     */
    List<SkuAttrValue> getAttrValueListBySkuId(Long id);
}
